[Nitro] Nitro gem seems not to install properly on ubuntu

Michael Fellinger manveru at weez.co.jp
Sat Feb 11 23:53:01 EST 2006

Hey Matthew,

Here i try to describe the prefect installation of ruby/rubygems/nitro/sqlite 
(sqlite only for having some kind of database - it's not really needed) for 

# let's change to root, i don't like to type sudo all the time
sudo -i
apt-get install ruby irb ri ruby1.8-dev libyaml-ruby libzlib-ruby
wget http://rubyforge.org/frs/download.php/5207/rubygems-0.8.11.tgz
tar xfvz rubygems-0.8.11.tgz
cd rubygems-0.8.11
ruby setup.rb
# you need this only in some months, when a new rubygems-version comes out
# and this mail might not be accurate anymore
gem update --system
gem install nitro -y
# that's it... now on to installing sqlite (swig is needed for preventing some
# malicious segaults)
apt-get install libsqlite3-dev swig
gem install sqlite3-ruby
# leave sudo-mode and set the rubyopt in your .bashrc
echo "export RUBYOPT=rubygems" >> ~/.bashrc
# now close the shell, open a new one, and everything should work perfect :)

that's it... you have ruby, irb, ri, rubygems and nitro&friends up and running
optional you can install the gems 'ruby-breakpoint', wich gives you some nice 
debugging-features and 'redcloth' for all the highlighting you'll ever need.

tell me if that works for you, most was written out of memory

On Sunday 12 February 2006 12:37, Matthew Welland wrote:
> I started the email message below but soon realized that gems is broken on
> ubuntu/debian. Manual install of all the dependancies is not working (yet).
> Consider this an FYI and a request for advice on an easy way to get ruby +
> gems + nitro and dependancies working on ubuntu.
> ==================================
> Nitro is somehow not quite setup properly.
> matt at xena:~/tmp/examples-0.28.0/hello$ sudo gem install nitro
> Attempting local installation of 'nitro'
> Local gem file not found: nitro*.gem
> Attempting remote installation of 'nitro'
> Successfully installed nitro-0.28.0
> matt at xena:~/tmp/examples-0.28.0/hello$ ruby run.rb
> run.rb:1:in `require': no such file to load -- nitro (LoadError)
>         from run.rb:1
> matt at xena:~/tmp/examples-0.28.0/hello$
> _______________________________________________
> Nitro-general mailing list
> Nitro-general at rubyforge.org
> http://rubyforge.org/mailman/listinfo/nitro-general

More information about the Nitro-general mailing list